Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser
Interface BrowserServices

All Known Implementing Classes:
  BrowserInternalFrame, ClassFileViewer

public interface BrowserServices

Container services for a `BrowserComponent`.

Version:
  $Revision: 1.5 $ $Date: 2004/02/10 16:06:56 $
Author:
  Ingo Kegel

Method Summary
`void` | `activate()` Activate this view.
`boolean` | `canOpenClassFiles()` Indicates whether `openClassFile` will be able to show class files or not.
`Action` | `getActionBackward()` Get the `Action` which allows to move backward in the navigation history.
`Action` | `getActionForward()` Get the `Action` which allows to move forward in the navigation history.
`BrowserComponent` | `getBrowserComponent()` Get the `BrowserComponent` which is the top parent of the visual hierarchy of the class file browser.
`ClassFile` | `getClassFile()` Get the `ClassFile` object for the show class file.
`void` | `openClassFile(String className, BrowserPath browserPath)` Open a class.

Method Detail

### getClassFile

    public ClassFile getClassFile()

  Get the `ClassFile` object for the show class file.

  Returns:
    the `ClassFile` object

### activate

    public void activate()

  Activate this view.

### getBrowserComponent

    public BrowserComponent getBrowserComponent()

  Get the `BrowserComponent` which is the top parent of the visual hierarchy of the class file browser.

  Returns:
    the `BrowserComponent`

### getActionBackward

    public Action getActionBackward()

  Get the `Action` which allows to move backward in the navigation history.

  Returns:
    the `Action`

### getActionForward

    public Action getActionForward()

  Get the `Action` which allows to move forward in the navigation history.

  Returns:
    the `Action`

### openClassFile

    public void openClassFile(String className,
                              BrowserPath browserPath)

  Open a class.

  Parameters:
    `className` - the name of the class.
    `browserPath` - an optional `BrowserPath` object. May be `null`.

### canOpenClassFiles

    public boolean canOpenClassFiles()

  Indicates whether `openClassFile` will be able to show class files or not.

  Returns:
    the value

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD